<nav class="flex items-center justify-between flex-wrap bg-gray-800 p-6">
    <div class="flex items-center flex-shrink-0 text-white mr-6">
        <span class="font-semibold text-xl tracking-tight">Banking System</span>
    </div>
    <div class="block lg:hidden">
        <button class="flex items-center px-3 py-2 border rounded text-white border-white-400 hover:text-white hover:border-white">
            <svg class="fill-current h-3 w-3" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><title>Menu</title><path d="M0 3h20v2H0V3zm0 6h20v2H0V9zm0 6h20v2H0v-2z"/></svg>
        </button>
    </div>
    <div class="w-full block flex-grow lg:flex lg:items-center lg:w-auto">
        {% if request.user.is_authenticated %}
            <div class="text-md lg:flex-grow">
                <a href="#" class="block mt-4 lg:inline-block lg:mt-0 text-white hover:text-white mr-4">
                    Transaction Report
                </a>
                <a href="#" class="block mt-4 lg:inline-block lg:mt-0 text-white hover:text-white mr-4">
                    Deposit
                </a>
                <a href="#" class="block mt-4 lg:inline-block lg:mt-0 text-white hover:text-white">
                    Withdraw
                </a>
            </div>
            <div>
                <a href="#" class="inline-block font-medium text-sm px-4 py-2 leading-none border rounded text-white border-white hover:border-transparent hover:text-gray-800 hover:bg-white mt-4 lg:mt-0">Logout</a>
            </div>
        {% else %}
            <div class="text-md lg:flex-grow"></div>
            <div>
                <a href="#" class="mr-2 inline-block font-medium text-sm px-4 py-2 leading-none border rounded text-white border-white hover:border-transparent hover:text-gray-800 hover:bg-white mt-4 lg:mt-0">Login</a>
            </div>
            <div>
                <a href="#" class="inline-block font-medium text-sm px-4 py-2 leading-none border rounded text-white border-white hover:border-transparent hover:text-gray-800 hover:bg-white mt-4 lg:mt-0">Register</a>
            </div>
        {% endif %}

    </div>
</nav>
